# Mage2 Module FiloBlu Antifraud

    ``filoblu/module-antifraud``

 - [Main Functionalities](#markdown-header-main-functionalities)
 - [Installation](#markdown-header-installation)
 - [Configuration](#markdown-header-configuration)
 - [Specifications](#markdown-header-specifications)
 - [Attributes](#markdown-header-attributes)


## Main Functionalities
Hold new orders based on Adyen fraud score and grand total

## Installation
\* = in production please use the `--keep-generated` option

### Type 1: Zip file

 - Unzip the zip file in `app/code/FiloBlu`
 - Enable the module by running `php bin/magento module:enable FiloBlu_Antifraud`
 - Apply database updates by running `php bin/magento setup:upgrade`\*
 - Flush the cache by running `php bin/magento cache:flush`

### Type 2: Composer

 - Make the module available in a composer repository for example:
    - private repository `repo.magento.com`
    - public repository `packagist.org`
    - public github repository as vcs
 - Add the composer repository to the configuration by running `composer config repositories.repo.magento.com composer https://repo.magento.com/`
 - Install the module composer by running `composer require filoblu/module-antifraud`
 - enable the module by running `php bin/magento module:enable FiloBlu_Antifraud`
 - apply database updates by running `php bin/magento setup:upgrade`\*
 - Flush the cache by running `php bin/magento cache:flush`


## Configuration

 - Hold based on fraud score (antifraud/antifraud/enable_fraud_score)

 - Fraud score threshold (antifraud/antifraud/fraud_score)

 - Hold based on grand total (antifraud/antifraud/enable_grandtotal_check)

 - Grand total threshold (antifraud/antifraud/grand_total)


## Specifications

 - Observer
	- adyen_notification_processed > FiloBlu\Antifraud\Observer\Adyen\NotificationProcessed


## Attributes



